Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.classic
Class ClassicResponseHandler

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.controller.handler.AbstractResponseHandler
                      org.jboss.portal.core.controller.classic.ClassicResponseHandler

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ResponseHandler, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class ClassicResponseHandler

extends AbstractResponseHandler

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ClassicResponseHandler()`

Method Summary
`HandlerResponse` | `processCommandResponse(ControllerContext controllerContext, ControllerCommand controllerCommand, ControllerResponse commandResponse)` Process the command response and provides an handler response.
`boolean` | `requiresRedirect(ControllerCommand currentCmd, URLContext currentURLCtx, CommandForward forward)` Return true if the execution of the next command requires a redirect.

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicResponseHandler

    public ClassicResponseHandler()

Method Detail

### processCommandResponse

    public HandlerResponse processCommandResponse(ControllerContext controllerContext,
                                                  ControllerCommand controllerCommand,
                                                  ControllerResponse commandResponse)
                                           throws ResponseHandlerException

  Description copied from interface: `ResponseHandler`
  Process the command response and provides an handler response.

  Parameters:
    `controllerContext` - the controller context
    `controllerCommand` - the controller command
    `commandResponse` - the controller response
  Returns:
    the handler response
  Throws:
    `ResponseHandlerException`

### requiresRedirect

    public boolean requiresRedirect(ControllerCommand currentCmd,
                                    URLContext currentURLCtx,
                                    CommandForward forward)

  Return true if the execution of the next command requires a redirect.

  Parameters:
    `currentCmd` - the current command which has been executed
    `currentURLCtx` - the request URL context
    `forward` - the forward
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD